/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 运维系统
 * 创建日期:2022/8/22
 */
package org.springblade.modules.business.check.process.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.business.check.order.dto.CheckOrderInfoDTO;
import org.springblade.modules.business.check.process.dto.OrderProcessInfoDTO;
import org.springblade.modules.business.check.process.entity.OrderProcessInfoEntity;
import org.springblade.modules.business.check.process.mapper.RtuOrderProcessMapper;
import org.springblade.modules.business.check.process.service.IRtuOrderProcessService;
import org.springblade.modules.business.check.process.vo.OrderProcessInfoVO;
import org.springframework.stereotype.Service;

import java.util.List;


/***
 * Date:2022/8/22
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
@Service
public class RtuOrderProcessServiceImpl  extends BaseServiceImpl<RtuOrderProcessMapper, OrderProcessInfoEntity> implements IRtuOrderProcessService {
	@Override
	public List<OrderProcessInfoVO> selectList(CheckOrderInfoDTO checkOrderInfoDTO) {
		return baseMapper.selectList(checkOrderInfoDTO);
	}

	@Override
	public IPage<OrderProcessInfoVO> selectPage(IPage<OrderProcessInfoVO> page, CheckOrderInfoDTO checkOrderInfoDTO) {
		return page.setRecords(baseMapper.selectPage(page, checkOrderInfoDTO));
	}

	@Override
	public List<OrderProcessInfoVO> selectTodayProcessList(OrderProcessInfoDTO processInfoDTO) {
		return baseMapper.selectTodayProcessList(processInfoDTO);
	}

	@Override
	public long todayProcessCount(OrderProcessInfoDTO processInfoDTO) {
		return baseMapper.todayProcessCount(processInfoDTO);
	}

	@Override
	public IPage<OrderProcessInfoVO> selectTodayProcessPage(IPage<OrderProcessInfoVO> page, OrderProcessInfoDTO processInfoDTO) {
		return page.setRecords(baseMapper.selectTodayProcessPage(page, processInfoDTO));
	}

	@Override
	public IPage<OrderProcessInfoVO> selectNoNetworkSignalPage(IPage<OrderProcessInfoVO> page, OrderProcessInfoDTO processInfoDTO) {
		return page.setRecords(baseMapper.selectNoNetworkSignalPage(page, processInfoDTO));
	}

	@Override
	public List<OrderProcessInfoVO> selectReportList(CheckOrderInfoDTO checkOrderInfoDTO) {
		return this.baseMapper.selectReportList(checkOrderInfoDTO);
	}


}
